import { PropsWithChildren } from "react";
import { useLaunch, getFileSystemManager } from "@tarojs/taro";
import { setGlobalData } from "./config/index";

import "./app.scss";

function App({ children }: PropsWithChildren<any>) {
  useLaunch(() => {
    setGlobalData("FileSystemManager", getFileSystemManager() || {});
  });

  // children 是将要会渲染的页面
  return children;
}

export default App;
